<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/root_layout"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/operation_bg"
    android:orientation="vertical"
    android:weightSum="1">

    <RelativeLayout
        android:id="@+id/toolbar_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="50dp"
        style="@style/OperationSearchToolBar">

        <TextView
            android:id="@+id/title"
            style="@style/DialogToolBarTitle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:layout_centerVertical="true"
            android:text="@string/pano_entry_title"
            android:textColor="@color/operation_default_text_color"
            android:textSize="@dimen/opeartion_title_text_size" />

        <Button
            android:id="@+id/closeBtn"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_centerVertical="true"
            android:background="@drawable/ic_operation_close"
            android:contentDescription="@string/cont_desc" />

    </RelativeLayout>


    <LinearLayout
        android:id="@+id/settingLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="20dp"
        android:layout_marginRight="20dp"
        android:layout_marginTop="20dp"
        android:orientation="vertical">


        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:layout_weight="1"
                android:text="@string/operation_name"
                android:textColor="@color/operation_default_text_color"
                android:textSize="@dimen/operation_normal_text_size"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/operation_name"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginLeft="10dp"
                android:gravity="left|center"
                android:textColor="@color/operation_default_text_color"
                android:layout_weight="1"
                android:textSize="@dimen/operation_normal_text_size"
                android:maxLines="1" />

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="10dp"
            android:gravity="center"
            android:orientation="horizontal">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:gravity="center_vertical"
                android:layout_weight="1"
                android:text="@string/label_base_file"
                android:textColor="@color/operation_default_text_color"
                android:textSize="@dimen/operation_normal_text_size"
                android:textStyle="bold" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:layout_marginLeft="10dp"
                android:layout_gravity="left|center"
                android:orientation="horizontal">

            <Button
                android:id="@+id/select_image"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:textSize="@dimen/operation_normal_text_size"
                android:text="@string/select_image"
                android:maxLines="1" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>

    <LinearLayout
        android:layout_width="400dp"
        android:layout_height="150dp"
        android:layout_margin="10dp"
        android:gravity="center"
        android:layout_gravity="center"
        android:background="@color/basic_white1"
        android:orientation="horizontal">

        <ImageView
            android:id="@+id/pano_image_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center"
        android:layout_margin="10dp"
        android:orientation="horizontal">

        <Button
            android:id="@+id/btn_entry"
            android:layout_width="120dp"
            android:layout_height="50dp"
            android:layout_margin="10dp"
            android:background="@drawable/operation_radius_frame"
            android:text="@string/label_entry"
            android:textColor="@color/text_color" />

    </LinearLayout>
</LinearLayout>